Skip to main content
POST
Get Reviews

Headers

Accept
string
default:application/json

e.g. application/json

x-api-key
string

e.g. [Required] Partner specific API key provided by Birdeye for data exchange.

Content-Type
string
default:application/json

Media type of the JSON request body.

Path Parameters

businessId
number
required

Id of the Business.

Query Parameters

sindex
integer
required

Start index of the reviews. Refer API note for max permissible value.

count
integer
required

Number of reviews to query. Refer API note for max permissible value.

includeNonAggregatedReviews
boolean

Include Reviews whose auto-crawling is blocked e.g. PressGaney

Body

application/json
fromDate
string

Review date start in UTC format.

toDate
string

Review date end in UTC format, eg if toDate is 04/01/2013, reviews of date 04/01/2013 is excluded .

fromTimestamp
number

Review start date in milliseconds, pass either fromDate or fromTimestamp.

toTimestamp
number

Review end date in milliseconds, pass either endDate or toTimestamp.

updateFromDate
string

Review updated date start in UTC format.

updateToDate
string

Review updated date end in UTC format.

sources
string

Aggregation source name Note: use "our_website" to filter reviews posted on Birdeye platform or use "direct_feedback" for direct feedback.

ratings
any[]

Review rating Possible values 0,1,2,3,4,5.

searchStr
string

String that is contained by review.

subBusinessIds
any[]

BusinessIds under enterprise account.

statuses
any[]

Review status filter. Valid values are "published", "parked", and "all". If omitted, default is "published" only (featured reviews). "published" refers to featured reviews and "parked" refers to non-featured reviews.

allChild
boolean

Get review from all child ignoring merge reviews flag configured at parent/child relationship level.

tags
any[]

Reviews with assigned tags

fetchExtraParams
boolean

To fetch custom field(s) associated with the customer attributed to the review [if any].

needCustomerInfo
boolean

To fetch customer information associated with the reviewer [if attributed].

fetchAssitedByDetails
boolean

To retrieve employees associated with the review [if mapped].

Response

OK

reviewId
number

Id of the review.

rating
number

Overall rating for the review, in case of direct feedback and facebook recommendations it will be 0. For Facebook recommendations, value will be 1, Non recommended review will have value set as 0.

comments
string

User comment.

reviewer
object

Reviewer details

sourceType
string

Source of the review if it is an aggregated review.

reviewURL
string

Review url

reviewDate
string

Review posted date.

response
string

Review response text.

responseDate
string

Response date.

inlineReplyEnabled
boolean

If true, you can post replies through the dashboard.

enableReply
boolean

Whether a review reply is supported via Birdeye API or not.

customerId
number

Customer's Id attributed with this review (if any).

extraParams
object

Key value pair of custom field(s) associated with the customer attributed to the review (if any)

assitedByUser
object

Employees associated with the review